/*******************************************************************************
 *  LCD-sim.c -
 *
 *  Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/ 
 *  ALL RIGHTS RESERVED
 * 
*/

#include <inttypes.h>
#include "emeter-toolkit.h"

#if !defined(__MSP430__)
void LCDinit(void)
{
    //TODO:
}

void LCDsleep(void)
{
    //TODO:
}

void LCDawaken(void)
{
    //TODO:
}

//Change a specified group of LCD cells.
void LCDchars(const uint8_t *s, int pos, int len)
{
    pos--;
    for (  ;  len > 0;  --len)
    {
        //printf ("0x%02X ", *s++);
    }
}

//Change a specified LCD cell.
void LCDchar(uint8_t ch, int pos)
{
    //printf ("0x%02X ", ch);
}

//Note: This only modifies the top nibble, but that is usually all
//you want to control SEG_h
void LCDmodify_char(uint8_t ch, int pos, int on)
{
    //TODO:
}

#endif
